httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jie Gao <J....@isu.usyd.edu.au>
Subject RE: http-2.0.48 (apr-util with db4) does not build on solaris 2.8?
Date Mon, 03 Nov 2003 22:36:43 GMT



On Mon, 3 Nov 2003, Sander Striker wrote:

> Date: Mon, 3 Nov 2003 22:30:22 +0100
> From: Sander Striker <striker@apache.org>
> Reply-To: dev@httpd.apache.org
> To: dev@httpd.apache.org
> Subject: RE: http-2.0.48 (apr-util with db4) does not build on solaris
>     2.8?
>
> > From: Jie Gao [mailto:J.Gao@isu.usyd.edu.au]
> > Sent: Monday, November 03, 2003 9:59 PM
>
> > Same here. Reported as bug ID 24337.
>
> This is a question for users@httpd.apache.org IMO.
>
> However, I suspect you haven't set LD_LIBRARY_PATH to include
> /use/local/db40/lib (or modified /etc/ld.so.conf to do the same),
> or you haven't done something like:
>
> LDFLAGS=-R/usr/local/db40/lib; export LDFLAGS
> ./configure ...

This is what I used:

CC=gcc CFLAGS="-Wall -O3" LDFLAGS="-L/usr/local/lib -R/usr/local/lib -L/usr/local/BerkeleyDB.4.1/lib
-R/opt/local/BerkeleyDB.4.1/lib
" \
    ./configure --enable-maintainer-mode \
    --prefix="/usr/local/apache_2.0.47" \
    --enable-mime-magic \
    --enable-headers \
    --enable-unique-id \
    --enable-dav \
    --enable-info \
    --enable-rewrite \
    --enable-so \
    --enable-proxy \
    --enable-proxy-http \
    --with-mpm=worker \
    --with-berkeley-db=/usr/local/BerkeleyDB.4.1 \
    --enable-modules=most \
    --enable-mods-shared=max

I set LD_LIBRARY_PATH=/usr/local/BerkeleyDB.4.1 and it worked.

But I did not have to set up LD_LIBRARY_PATH with http-2.0.47.

Thanks for your help.

Sincerely



Jie


>
> HTH,
>
> Sander
>
> > On Mon, 3 Nov 2003, solo turn wrote:
> >
> > > Date: Mon, 3 Nov 2003 06:02:26 -0800 (PST)
> > > From: solo turn <soloturn99@yahoo.com>
> > > Reply-To: dev@httpd.apache.org
> > > To: apache <dev@httpd.apache.org>
> > > Subject: http-2.0.48 (apr-util with db4) does not build on solaris 2.8?
> > >
> > > does somebody have any idea, why the following does not work? how do i correctly
specify the
> > > location of berkely db?
> > >
> > > berkely db install:
> > > ../dist/configure --prefix=/usr/local/db40 --enable-test --with-tcl=/usr/local/lib
> > > make
> > > make install
> > > (successful)
> > >
> > >
> > > apache configure:
> > > $ ./buildconf
> > > rebuilding srclib/apr/configure
> > > buildconf: checking installation...
> > > buildconf: autoconf version 2.57 (ok)
> > > buildconf: libtool version 1.4.3 (ok)
> > > ...
> > >
> > >
> > >  ./configure --prefix=/usr/local --enable-so --enable-dav --enable-deflate
--enable-ssl
> > > --with-ssl=/usr/local --with-dbm=db4 --with-berkeley-db=/usr/local/db40
> > > ...
> > > Configuring Apache Portable Runtime Utility library...
> > >
> > > checking for APR-util... reconfig
> > > configuring package in srclib/apr-util now
> > > checking build system type... sparc-sun-solaris2.8
> > > checking host system type... sparc-sun-solaris2.8
> > > checking target system type... sparc-sun-solaris2.8
> > > checking for working mkdir -p... yes
> > > APR-util Version: 0.9.5
> > > checking for chosen layout... apr-util
> > > ...
> > > checking checking for Berkeley DB 4.0 in /usr/local/db40...
> > > checking db4/db.h usability... no
> > > checking db4/db.h presence... no
> > > checking for db4/db.h... no
> > > checking db.h usability... yes
> > > checking db.h presence... yes
> > > checking for db.h... yes
> > > checking for db-4.0... no
> > > checking db4/db.h usability... no
> > > checking db4/db.h presence... no
> > > checking for db4/db.h... no
> > > checking db.h usability... yes
> > > checking db.h presence... yes
> > > checking for db.h... yes
> > > checking for db4... no
> > > checking db4/db.h usability... no
> > > checking db4/db.h presence... no
> > > checking for db4/db.h... no
> > > checking db.h usability... yes
> > > checking db.h presence... yes
> > > checking for db.h... yes
> > > checking for db... no
> > > configure: error: Berkeley db4 not found
> > > configure failed for srclib/apr-util
> > >
> > >
> > > __________________________________
> > > Do you Yahoo!?
> > > Exclusive Video Premiere - Britney Spears
> > > http://launch.yahoo.com/promos/britneyspears/
> > >
>

Mime
View raw message